#!/bin/bash

name="python-wine"
dir="python-wine"

path="$(readlink -f "$(dirname "$0")/../")"
version="$(head "$path/$dir/debian/changelog" -n 1 | cut -d\( -f2 | cut -d\) -f1)"

cd "$path"

echo -n "Copying the $name directory to /tmp..."
if [ -d "/tmp/$name"-"$version" ]; then
	rm -R "/tmp/$name"-"$version"
fi
cp -R "$dir" "/tmp/$name"-"$version"
echo " done."

cd /tmp

echo -n "Creating TAR.GZ archive of $name version $version..."
tar --exclude "$name"-"$version/.bzr" --exclude "$name"-"$version/debian" -czf "$name"_"$version.orig.tar.gz" "$name"-"$version"
echo " done."

echo -n "Creating binary package of $name..."
cd "$name"-"$version"
debuild -sa
cd ..
echo " done."

echo -n "Creating source package of $name..."
cd "$name"-"$version"
debuild -S -sa
cd ..
echo " done."
